<template>
  <a
    :href="href"
    class="c-link"
    :class="`c-link--${linkStyle}`"
    :target="target"
  >
    {{ text }}
  </a>
</template>

<script>
export default {
  name: "Link",
  props: {
    text: {
      type: String,
      required: true
    },
    href: {
      type: String,
      required: true
    },
    target: {
      type: String,
      default: "_self"
    },
    linkStyle: {
      type: String,
      default: "primary"
    }
  }
};
</script>

<style lang="scss">
.c-link {
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 1.3rem;
  line-height: 2rem;
  font-weight: $fw-medium;
  letter-spacing: 0.15em;
  text-transform: uppercase;
  width: 100%;
  height: 5rem;
  border: 2px solid;
  transition: 0.3s;

  @include breakpoint(phone) {
    margin-bottom: 2.5rem;
  }

  @include breakpoint(overPhone) {
    width: 27rem;
    margin-right: 2rem;
  }

  &:last-of-type {
    margin-right: 0;
    margin-bottom: 0;
  }

  &--primary {
    color: $c-white;
    background-color: $c-brand-secondary;
    border-color: $c-brand-secondary;

    &:hover {
      background-color: $c-brand-quinary;
      border-color: $c-brand-quinary;
    }
  }
}
</style>
